Main Page Widgets Namespaces Book

# Gtk::IconSize Class Reference

List of all members.

## Detailed Description

Represents registered icon sizes.

You can also use a Gtk::BuiltinIconSize instead of an IconSize.

## Public Member Functions

| IconSize (int size)
| IconSize (BuiltinIconSize size)
| IconSize ()
| operator int () const

## Static Public Member Functions

static IconSize | from_name (const Glib::ustring& name)
static Glib::ustring | get_name (IconSize size)
static bool | lookup (IconSize size, int& width, int& height)
static void | register_alias (const Glib::ustring& alias, IconSize target)
static IconSize | register_new (const Glib::ustring& name, int width, int height)

## Constructor & Destructor Documentation

Gtk::IconSize::IconSize | ( |  | ) | `[inline]`

Gtk::IconSize::IconSize | ( | BuiltinIconSize | size | ) | `[inline]`

Gtk::IconSize::IconSize | ( | int | size | ) | `[inline, explicit]`

## Member Function Documentation

static IconSize Gtk::IconSize::from_name | ( | const Glib::ustring& | name | ) | `[static]`

static Glib::ustring Gtk::IconSize::get_name | ( | IconSize | size | ) | `[static]`

static bool Gtk::IconSize::lookup | ( | IconSize | size,
|  | int& | width,
|  | int& | height
| ) | `[static]`

Gtk::IconSize::operator int | ( |  | ) | const`[inline]`

static void Gtk::IconSize::register_alias | ( | const Glib::ustring& | alias,
|  | IconSize | target
| ) | `[static]`

static IconSize Gtk::IconSize::register_new | ( | const Glib::ustring& | name,
|  | int | width,
|  | int | height
| ) | `[static]`

The documentation for this class was generated from the following file:

- enums.h